import { ProxioPriceListGroupResponse } from '../pn-proxio-pricegroup/types';
import { ProxioPriceListGroupsResponse, ProxioProductFindPriceWeight, ProxioProductFindPriceSizeCategory } from './pn-proxio-findprice-types';
import { FetchHelper } from '../../../globals/FetchHelper';
export declare class PnProxioFindPrice {
    endpoint: string;
    language: string;
    market: string;
    showMedium: boolean;
    showInternational: boolean;
    maxAbroadKg: number;
    weightListName: string;
    cache: boolean;
    filteredItems: ProxioPriceListGroupResponse[];
    weight: ProxioProductFindPriceWeight;
    weightvalue: number;
    countrycodevalue: string;
    sizecategory: ProxioProductFindPriceSizeCategory;
    data: ProxioPriceListGroupsResponse;
    fetchHelper: FetchHelper;
    componentWillLoad(): void;
    setInitialValues(href?: string): Promise<void>;
    init(): void;
    getDataSource(): Promise<void>;
    fetchData(): Promise<void>;
    onFetchData(data: any): void;
    setState(): void;
    filterItems(): void;
    parseFloatFromString(text: any): number;
    sortWeightItems(weightFilteredData: ProxioPriceListGroupResponse[], isInternational: boolean): ProxioPriceListGroupResponse[];
    getSortNumber(proxioPriceListGroupResponseItem: ProxioPriceListGroupResponse, isInternational: boolean): number;
    resetFilters(): void;
    getWeights(): any;
    handleDropdownChange(event: Event): void;
    render(): any;
}
